petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatStructure

Indicates if two matrices have the same nonzero structure

### Synopsis

    typedef enum {DIFFERENT_NONZERO_PATTERN,SUBSET_NONZERO_PATTERN,SAME_NONZERO_PATTERN} MatStructure;

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatCopy(), MatAXPY()

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages